> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.statista.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

Semantically search Market Insights indicators using natural language or keywords.


## OpenAPI

````yaml GET /v1/search/market-insights/indicators
openapi: 3.0.0
info:
  title: The Statista Data API
  contact:
    name: API Support
    email: api@statista.com
  version: 2.8.0
  description: >-
    The Statista search API provides a way to discover statistical,
    market-insights, and consumer-insights data
servers:
  - url: https://api.statista.ai/
    description: Single Server endpoint
    variables: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v1/search/market-insights/indicators:
    get:
      operationId: marketInsights
      parameters:
        - name: q
          in: query
          required: true
          description: The query string to search for.
          schema:
            type: string
            minLength: 1
            maxLength: 1000
          explode: false
        - name: size
          in: query
          required: false
          description: The maximum number of search results returned.
          schema:
            type: integer
            format: uint32
            minimum: 1
            maximum: 25
            default: 10
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Api.Response.Search.MarketInsightsIndicators
        '400':
          description: The server could not understand the request due to invalid syntax.
        '401':
          description: Access is unauthorized.
        '403':
          description: Access is forbidden.
components:
  schemas:
    Api.Response.Search.MarketInsightsIndicators:
      type: object
      required:
        - items
        - total_count
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Api.Response.Search.MarketInsightsIndicator'
          description: A list of results returned for the current request.
        total_count:
          type: integer
          format: uint32
          description: The total number of available items matching the request.
    Api.Response.Search.MarketInsightsIndicator:
      type: object
      required:
        - identifier
        - title
        - subject
        - description
        - link
        - updated_at
        - industries
        - covered_timeframe
      properties:
        identifier:
          type: string
          description: A unique ID for this indicator. It helps find or refer to this data.
        title:
          type: string
          description: The name of the content. It tells what the data is about.
        subject:
          type: string
          description: A short summary of what the data shows.
        description:
          type: string
          description: A short text that explains the most important facts in the data
        link:
          type: string
          description: >-
            The website address (URL) where you can see the full content on the
            Statista platform.
        updated_at:
          type: string
          description: 'The date when the data was published. Format: YYYY-MM-DD'
        industries:
          type: array
          items:
            $ref: '#/components/schemas/Api.Response.Search.MarketInsightsIndustry'
          description: A list of industries covered by this market indicator.
        covered_timeframe:
          allOf:
            - $ref: '#/components/schemas/Api.Response.Search.Timeframe'
          description: Timeframe the data is covering, start and end are inclusive.
        covered_geos:
          type: object
          additionalProperties:
            type: string
          description: >-
            List of available geographic regions for this indicator. Mapping of
            the geo code to a human readable name.
        market_type:
          type: string
          description: The type of market this indicator describes.
        market_type_description:
          type: string
          description: The description market type.
    Api.Response.Search.MarketInsightsIndustry:
      type: object
      required:
        - name
        - segments
      properties:
        name:
          type: string
          description: The name of the industry.
        segments:
          type: array
          items:
            type: string
          description: A list of segments for this industry.
    Api.Response.Search.Timeframe:
      type: object
      required:
        - start
        - end
      properties:
        start:
          type: string
          description: 'Start date of the timeframe. Format: YYYY-MM-DD'
        end:
          type: string
          description: 'End date of the timeframe. Format: YYYY-MM-DD'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````